FCGI::Client::Connection(3pm)

NAME
FCGI::Client::Connection - connection to FastCGI server

DESCRIPTION
This module handles connection to FastCGI server.

ATTRIBUTES

sock
    the socket object.

timeout
    read only integer value, default is 10seconds.

METHODS

my ($stdout, $stderr, $appstatus) = $self->request($env, $content)
    $env is environment hash, same as CGI.$content is request body string. This method returns $stdout and $stderr strings.When error got, return undef. $appstatus is the status code of FastCGI server, this is one of the following code.

        #define FCGI_REQUEST_COMPLETE 0
        #define FCGI_CANT_MPX_CONN    1
        #define FCGI_OVERLOADED       2
        #define FCGI_UNKNOWN_ROLE     3

    These constants defined at FCGI::Client::Constat.

FAQ

Why don't support FCGI_KEEP_CONN?
    FCGI_KEEP_CONN is not used by lighttpd's mod_fastcgi.c, and mod_fast_cgi for apache. And, FCGI.xs doesn't support it.

    I seems FCGI_KEEP_CONN is not used in real world.